{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="UTF-8">
    <!-- Compiled and minified CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">


    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <style>
      @import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
      body{
        font-family: 'Roboto', sans-serif;
      }
    </style>
    
  <!-- Scriptsss -->
  <script src="https://code.jquery.com/jquery-3.3.1.min.js"> </script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
  <script>
    $(document).ready(function(){
      $('.sidenav').sidenav();
      $(".dropdown-trigger").dropdown();
    });


  </script>
  
  
  {% block meta %}
  {% endblock meta %}
</head>



<body>
  <!-- dropdown helpdesk -->
  <ul id="nav-help" class="dropdown-content">
    <li><a href="/helpdesk/" class="purple-text text-accent-4 "> 
      <i class="material-icons left black-text">chat</i>Help</a></li>
    <li><a href="/helpdesk/contact-admin" class="purple-text text-accent-4 "><i class="material-icons left black-text">call</i>Contacts
      </a></li>
    <li><a  class="purple-text text-accent-4 "  href="/helpdesk/faq">FAQ
      <i class="material-icons left black-text">question_answer</i></a></li>
  </ul>

  {% if request.user.is_authenticated %}
  <!-- dropdown profile -->
  <ul id="nav-profile" class="dropdown-content">
    <li><a  class="waves-effect purple-text"  href="/profile">Profile
      <i class="material-icons right">face</i></a></li>
    <li><a  class="red-text text-accent-3 waves-effect" href="/logout">Logout
      <i class="material-icons right">logout</i></a>
      
    </li>
  </ul>

  {% endif%}
<!-- dropdown menu -->
<ul id="nav-menu" class="dropdown-content">
  <li><a  class="purple-text waves-effect"  href="/all-courses">All Courses</a></li>
               
  {% if request.user.is_pengajar %}
  <li><a  class="waves-effect purple-text "  href="/add-course">Add Course</a></li>
  <li><a  class="waves-effect purple-text "  href="/coursesbyme">My Courses</a></li>
  <li><a  class="waves-effect purple-text "  href="/quiz/lecturer-home-quiz/">My Quiz</a></li>
  
  {% endif %}
  {% if request.user.is_murid %}
  <li><a  class="waves-effect purple-text "  href="/coursestaken">My Courses</a></li>
  <li><a  class="waves-effect purple-text "  href="/quiz/">My Quiz</a></li>
  <!-- <li><a  class="tab btn  waves-effect  "  href="/profile">Profile</a></li> -->
  {% endif %}
  {% if request.user.is_superuser %}
    <li><a  class="waves-effect purple-text"  href="/helpdesk/list">List Feedback</a></li>
  {% endif %}
    
  </li>
</ul>


    <div class="navbar-fixed">
        <nav  class="purple nav-extended">
            <div class="nav-wrapper">
            <div class="container">
                
                <a href="/" class="brand-logo">Learning App</a>
                <a href="#" data-target="mobile-bar" class="sidenav-trigger"><i class="material-icons  waves-effect ">menu</i></a>
                {% if not request.user.is_authenticated %}
                <ul id="nav-mobile" class="right hide-on-med-and-down">
                    <li><a  class="tab btn waves-effect purple lighten-5 hoverable"  href="/login">
                      <span class="deep-purple-text text-darken-2 "> Login </span> </a></li>
                    <li><a  class="tab btn  waves-effect waves-light purple darken-4 hoverable " href="/register">Register</a></li>

                    <li><a class="dropdown-trigger btn purple lighten-5 hoverable waves-effect" href="#!" data-target="nav-help">
                      <i class="material-icons left black-text">feedback</i>
                      <span class="deep-purple-text text-darken-2 "> Help </span><i class="material-icons right black-text">arrow_drop_down</i></a></li>

                </ul>
                {% elif request.user.is_authenticated %}
                <ul id="nav-mobile" class="right hide-on-med-and-down">
                    
                    <li><a class="dropdown-trigger btn waves-light purple darken-4 hoverable waves-effect" href="#!" data-target="nav-menu">
                      <i class="material-icons left ">menu</i>
                      <span class="white-text  ">
                       Menu </span>
                       <i class="material-icons right ">arrow_drop_down</i></a></li>

                    <li><a class="dropdown-trigger btn waves-light purple darken-4 hoverable waves-effect" href="#!" data-target="nav-profile">
                      <i class="material-icons left ">account_circle</i>
                      <span class="white-text  ">
                       {{request.user.username}} </span>
                       <i class="material-icons right ">arrow_drop_down</i></a></li>

                    <li><a class="dropdown-trigger btn purple lighten-5 hoverable waves-effect" href="#!" data-target="nav-help">
                      <i class="material-icons left black-text">feedback</i>
                      <span class="deep-purple-text text-darken-2 "> Help </span><i class="material-icons right black-text">arrow_drop_down</i></a></li>
                      
                </ul>
                  </ul>
                  {% endif %}
                  
                  
            </div>
        </div>
    </nav>
</div>
    
      <ul class="sidenav" id="mobile-bar">
      
        {% if not request.user.is_authenticated %}
        <li><a  class="tab btn  waves-effect  "  href="/login">Login</a></li>
        <li><a  class="tab btn  waves-effect " href="/register">Register</a></li>
        {% elif request.user.is_authenticated %}
        <li><a  class="btn white darken-1 waves-effect purple-text"  href="/profile">{{request.user.username}}
          <i class="material-icons right">face</i></a></li>
        <li><a  class="tab btn red darken-1  waves-effect " href="/logout">Logout</a></li>
        <li><a  class="tab btn  deep-purple darken-2 waves-effect  waves-light hoverable "  href="/all-courses">All Courses</a></li>
        {% if request.user.is_superuser %}
        <li><a  class="tab btn waves-effect deep-purple darken-1 "  href="/helpdesk/list">List Feedback</a></li>
        {% endif %} 
        {% if request.user.is_pengajar %}
        <li><a  class="tab btn  waves-effect  "  href="/add-course">Add Course</a></li>
        <li><a  class="tab btn  waves-effect "  href="/coursesbyme">My Courses</a></li>
        <li><a  class="tab btn  waves-effect "  href="/quiz/lecturer-home-quiz/">My Quiz</a></li>
        {% endif %} 
        {% if request.user.is_murid %}
        <li><a  class="tab btn waves-effect purple white-text "  href="/coursestaken">My Courses</a></li>
        
        {% endif %} 

          
        {% endif %}
        <li><div class="divider "></div></li>

          
        <li><a href="/helpdesk/" class="purple-text text-accent-4 "> 
          <i class="material-icons left black-text">chat</i>Help</a></li>
        <li><a href="/helpdesk/contact-admin" class="purple-text text-accent-4 "><i class="material-icons left black-text">call</i>Contacts
          </a></li>
        <li><a  class="purple-text text-accent-4 "  href="/helpdesk/faq">FAQ
          <i class="material-icons left black-text">question_answer</i></a></li>

      </ul>
    



  <div class="container">
      {% block content %}
      {% endblock content %}

  </div>
  <!-- <script src="{% static 'js/sidebar.js' %}"></> -->

</body>

</html>
